Debian Bug report logs - #492085
Please cache kernel and initrds downloaded in lh_binary_debian-installer

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Chris Lamb <chris@chris-lamb.co.uk>

Date: Wed, 23 Jul 2008 17:30:07 UTC

Severity: wishlist

Found in version live-helper/1.0~a48-1

Fixed in version live-helper/1.0.0-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#492085; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: submit@bugs.debian.org
Subject: Please cache kernel and initrds downloaded in lh_binary_debian-installer
Date: Wed, 23 Jul 2008 18:27:30 +0100
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 1.0~a48-1
Severity: wishlist

(Via mammadori)

Downloaded kernel and initrds that are used in integrating d-i should be
cached.

The current lack of caching is especially noticable when using the daily d-i
images, as they are mostly hosted on people.debian.org.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Thu, 24 Jul 2008 04:51:02 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chris Lamb <chris@chris-lamb.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 492085-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 492085-close@bugs.debian.org
Subject: Bug#492085: fixed in live-helper 1.0.0-1
Date: Sat, 23 Aug 2008 23:02:06 +0000
Source: live-helper
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.0-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0.0-1.diff.gz
live-helper_1.0.0-1.dsc
  to pool/main/l/live-helper/live-helper_1.0.0-1.dsc
live-helper_1.0.0-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0.0-1_all.deb
live-helper_1.0.0.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 492085@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Aug 2008 00:00:00 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 476546 490755 491695 492085 494640
Changes: 
 live-helper (1.0.0-1) unstable; urgency=medium
 .
   [ Antonio Terceiro ]
   * Sorting functions alphabetically.
   * Replacing file checking with ls by function calls
 .
   [ Chris Lamb ]
   * Install loop-aes-utils if we are using encryption.
   * Support expanding wildcards in udeb excludes.
   * Remove pointless whitespace.
   * Only install unionfs-tools under Etch in rescue list.
   * Correct logic in LH_BOOTAPPEND_INSTALL handling
   * Removing surrounded braces from LH_BOOTAPPEND_INSTALL - it is expanded by
     sed, not the shell.
   * Correcting typo LH_BOOTSTRAP_INSTALL -> LH_BOOTAPPEND_INSTALL in Grub kernel
     parameters.
   * Correct bogus path for d-i preseed files.
   * Don't install lists from chroot_local-packageslists without them being
     specified in LH_PACKAGES_LISTS (Closes: #490755)
   * Don't use interpolation to print usage and help as it breaks newlines and
     tabs.
   * Remove accidental trailing '"' (quote) package from lh_config usage.
   * Tidy "install" / "install-binary" handling in lh_chroot_apt.
   * Add informational comments to generated /etc/apt/preferences stanzas.
   * Generate Release file for chroot_local-packages when APT_SECURE is disabled.
   * Prevent (harmless) duplicate entries appearing in /etc/apt/preferences
   * Remove gettext from Build-Depends (it's already in Build-Depends-Indep).
   * Correcting aesthetic typo "proces" -> "process".
   * Add leading space to prevent unnecessary diff when running lh_config
     repeatedly.
   * Rename internal LH_BOOTAPPEND_PRESEED variable to _LH_BOOTAPPEND_PRESEED
   * Ensure the binary image does not inherit the binary stage's APT settings.
   * Always create stagefile for chroot_install-packages and require it for
     lh_source
   * Correct indentation of conditional code.
   * Clean source.list instead of binary.list when calling lh_clean --source.
   * Move gettext to Build-Depends-Indep.
   * Add busybox to DI_PACKAGES as its required to install kernels.
   * Choose correct d-i install method for "live" and usb-hdd/tar image types.
   * Don't duplicate .debs of packages in binary/pool that are installed via
     live-installer.
   * Create pool/main to prevent build failure when no local .debs are queued for
     installation.
   * Don't include the bootstrap .debs on live-installer based disks (saves
     ~30MiB).
   * Rework WGET_OPTIONS and use "--no-verbose" by default (just prints the URL).
   * Fix "lh_config -c". Thanks to Simon Schiele <lists@codingmonkey.de>.
   * Remove --debian-installer-daily from getopt call.
   * Update lh_config(1) to match status of
     LH_DEBIAN_INSTALLER_{DAILY,DISTRIBUTION}.
   * Fix a bug in chroot_local-packages where packages were upgraded with
     themselves during lh_binary stages.
   * Fix bug in LH_DEBIAN_INSTALLER_DISTRIBUTION = "daily" handling.
   * Disabling call to "update-initramfs" in lh_chroot_hacks.
   * Always add our apt_preference(5) pinning stanza when using local-packages.
   * Ensure packages in config/chroot_local-packages override all others.
   * Test whether to use hard-links when caching d-i downloads.
   * Print a warning when package caching is disabled but d-i integration is
     enabled.
   * Don't install Recommends of d-i packages.
   * Call "Check_defaults" in lh_build.
   * Print nicer error message when bootstrap missing from LH_CACHE_STAGES.
   * Remove 'E:' prefix in call to Echo_error - it gets added later too.
   * Don't attempt install deprecated helpers/make-live.
   * Add lh_chroot_local-patches helper to apply local patches against chroot.
   * Fix cache poisoning issue in lh_binary_debian-installer with 404 downloads
   * Don't attempt to use live-installer on Etch; it would simply result in no
     bootstrap method.
   * Cache d-i kernel, initrd and mini.iso downloads (Closes: #492085)
   * Wrap most calls to wget in lh_binary_debian-installer.
   * Add system-config-printer as a replacement to gnome-cups-manager.
   * Removed "gnome-cups-manager" from package lists as it has been removed from
     Lenny due to being obsolete. (Closes: #491695)
 .
   [ Daniel Baumann ]
   * Preserve changed apt settings (pdiffs, recommends, and secure) in binary
     image (Closes: #494640).
   * Updating chroot hacks to reflect namechange of the udev persistent rules.
   * Correcting typo in win32-loader config.
   * Correcting win32-loader default values.
   * Moving win32-loader inclusion support from external hook into main program
     (Closes: #476546).
   * Adding generic echo function.
   * Removing currently unused help message in lh_config.
   * Sorting authors file.
   * Removing superfluous echo type from echo call.
   * Correcting escaping of $VERSION in LH_ISO_PREPARER defaults.
   * Updating po files.
   * Replacing remaining echo calls with proper echo functions.
   * Don't expand version in default configuration, but rather use it
     dynamically.
   * Moving live-helper defaults file for cron autobuilder from
     /etc/default/live-helper to /etc/default/live-helper_autobuild in order to
     not conflict with the system-wide default file for helper configuration.
   * Adding guessing of the preseeding filename, and way to manually overwrite it
     (or select it in case of multiple available preseeding files).
   * Switching chechbashism call to now fail and abort rather than just give a
     warning if bashishms are detected.
   * Using $HOST rather than $HOSTNAME to avoid false positive in checkbashisms.
   * Using signal names rather than signal numbers in trap calls.
   * Merging debian-installer-daily option into debian-installer-distribution.
   * Bumping version number to 1.0.0.
   * Updating credits file.
   * Only using hardlinks for local-packages when hardlinks are possible.
   * Removing make-live legacy helper.
   * Updating debian release information.
   * Making check for local-patches silent.
   * Making check for local-includes silent.
   * Using rfc2606 invalid tld instead of dummy.
   * Using better suited variable name for live-helpers local key.
 .
   [ Frederic Daniel Luc Lehobey ]
   * Added po4a support for manpages. Use case: 'make po4a'.
 .
   [ Marco Amadori ]
   * Removing evms from rescue list, package got removed from debian.
 .
   [ Tiago Bortoletto Vaz ]
   * Making help.sh and version.sh messages translatable.
   * Making lh_chroot_interactive and lh_source_usb-hdd messages translatable.
   * Making lh_binary_usb-hdd messages translatable.
   * Making usage.sh messages translatable.
   * Supporting remote preseeding files.
   * Also allowing multiple preseeding files for netboot.
   * Allowing to use more than one preseeding file to be on the media.
   * Adding last modifications in order to have localization fully working in
     live-helper. This commit goes with some pt_BR translations just for testing.
     Thanks to Antonio Terceiro for helping and coding in some shell stuff.
   * Adding the basic infrastructure to provide l10n support for live-helper.
   * Minor typo fix for encryption parameter in lh_config help message.
   * Suporting debian-installer distribution choice, which makes possible to
     build a image using a system-independent debian-installer suite. The config
     option for this is --debian-installer-distribution CODENAME.
   * Adding missing debian-installer options in lh_config --help message.
   * Improving message when using default values in /etc/default/live-helper.
Checksums-Sha1: 
 87c4e9ac5c19b919981a204be091564ca8b2e2b9 1265 live-helper_1.0.0-1.dsc
 f592a069e6fa8f36a3510a56aa6326d489dab517 1980365 live-helper_1.0.0.orig.tar.gz
 8834048fa51b70672573c3e31a6cec728bdd9a49 18570 live-helper_1.0.0-1.diff.gz
 0cd8ca2c9ce0fdafa40cbb3ec2936fd7688fe0b6 1910746 live-helper_1.0.0-1_all.deb
Checksums-Sha256: 
 0cb70394e89c1073c20944bae096b21df363f14464d34f2a647ae196a9825011 1265 live-helper_1.0.0-1.dsc
 0493513b6f28e978408c95c734a12709de78a199ecb64aafba7342b3ee50ee58 1980365 live-helper_1.0.0.orig.tar.gz
 202c680d324cc63403783d265ea02c62b5e3cf12cb1a0b3d968bcc3d12a82963 18570 live-helper_1.0.0-1.diff.gz
 63f223b1fbb4032897b0e20efdec10dd4b994100daaf469f96c547a33bf18407 1910746 live-helper_1.0.0-1_all.deb
Files: 
 223828791a7c467bfa165fef1a270613 1265 misc optional live-helper_1.0.0-1.dsc
 0bd229529a606129c7d34e9909da4faf 1980365 misc optional live-helper_1.0.0.orig.tar.gz
 e032055c9097b5665d811bc9ab9c058b 18570 misc optional live-helper_1.0.0-1.diff.gz
 94b53f5b3594fe0e71c5472149f5f073 1910746 misc optional live-helper_1.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiwlUIACgkQ+C5cwEsrK56D9QCfX8DggHGvxqHH2qxGIU7IEg/6
/PUAoNGcdcx0f5u4ZhBQ4m9/mjc/GDSJ
=8lpB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Sep 2008 07:30:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:42:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.